He = 1004;
She = 1003;
SPEED = 2;
flags.glove_taken = true;	
flags.rentgen_taken = true;
flags.nvg_taken = true;


dofile("script\\gamemenu.lua");
dofile("script\\lib.lua");
function LevelComplete()

		


	fucking_third_level = false;
	
	-- if not flags.glove_taken then
		-- flags.glove_taken = true;
		-- SetCurrentRM("menu");
		-- AddButtonToBook(100004,"7","glove_blue",nil,nil,nil,945,180,30,30,true,true,2); 
		-- SetCurrentRM("main");
	-- end;	
	-- PushButton(100004,false)
	
	flags = {};
	flags.glove_taken = true;	
	flags.rentgen_taken = true;	
	flags.restore_sheet = false;
	SaveGame1();
	-- ShowMenu(false);
	if gloveselect then	RotateToPos(2);		end;
	if nvgselect then	RotateToPos(3);			end;
	if rentgenselect then	RotateToPos(1);			end;
	if scanerselect then	RotateToPos(0);			end;
	obj={}
	delete_tree_leaf("Root","cave");
	NextLevel(3);
end;	
set_inpun_fun("gameinput");
flags.glove_taken = true;	
flags.glove_vkl=false;
flags.glove_vikl=false;
flags.ngv_vkl=false;
flags.ngv_vikl=false;
flags.rentgen_taken = true;
flags.nvg_taken = true;
flags.rentgen_vkl=false;
flags.rentgen_vikl=false;
flags.nvg_on = false;
flags.mini1_comp = false;
flags["items"] = 0;
flags["gears"] = 0;
flags["gears_on"] = 0;
flags["finish"] = false;
flags.start_tutor4 = true;
flags.start_tutor5 = true;
flags.glove_block = false;
flags["first_time_load"]=true;
flags["start_draw"] = true;
flags.after_save=false;
flags["dim"] = true;
flags["light"] = false;
flags["light1"] = true;
flags["lit"] = false;
flags["glasses_on"] = false;
flags.items_collected = false;
flags["comics"]=true;
flags["start"]=true;
flags["mini1"]=false;
flags["mini1_complete"]=false;
flags["first_up_most"]=true;
flags["stone_on"] = false;
flags["stone_removed"] = false;
flags["nadeliraz"]= false;
flags["green"]= false;
flags["sabj"]= false;
flags["setnvg"]=true;
-- flags["zatemn"]= false;
flags["gear1_on"] = false;
flags["gear2_on"] = false;
flags["gear3_on"] = false;
flags["gear4_on"] = false;
flags["gear5_on"] = false;
flags["gear6_on"] = false;
pointer_is_usable=false
flags["mechanism"] = false;
flags["mechanism2"] = false;
flags["things"]= false;
flags["rammstein_search"] = false;
flags["frame0"] = false;
flags["frame1"] = false;
flags["frame2"] = false;
flags["frame3"] = false;
flags["frame4"] = false;
flags["frame5"] = false;
flags["frame6"] = false;
flags["frame7"] = false;
flags["frame8"] = false;
flags["frame9"] = false;
flags["frame10"] = false;
flags["frame11"] = false;
flags.str=false;

flags.nvg_tutor=false;



flags.nv_done=true;
flags.nvg_block=false;

c1(flags.restore_sheet)
if flags.restore_sheet then
	LoadGame();
	AddTool()
end;
flags.restore_sheet = true;

add_tree_leaf("Root","cave",2,0);-- Добавляет лист в дерево  КАБИНЕТ
AddTxt();
dofile("./data/2/0/res.lua");

flags.start_draw = true;

if flags.mini1_complete then
StopEmiter("Highlight1");
end;
SetCurrentLeaf("cave",2,0);
StartAnimation( 5555555555,5,5 );
ShowMenu(false);

if flags.mechanism or flags.mini1_complete then

CreatePolygon(6678,4,"Object111");
Set_Cursor(6678,1);
end
-- playfile(".\\sound\\037.ogg",true,true);
playeffect("037",true)